package com.ruoyi.programManagement.entity.request;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * 执法结果企业详情 请求类
 */
@Data
public class checkResultRequest {

    /**
     * 计划年份
     */
    @ApiModelProperty(value = "计划年份")
    private  String plannedYear;


    /**
     * 计划月份
     */
    @ApiModelProperty(value = "计划月份")
    private  String[] plannedMonth;

    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    private  String district;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;


    /**
     * 0：未检查 1：已检查
     */
    @ApiModelProperty(value = "0：未检查 1：已检查")
    private Integer checkStatus;


}
