package com.ruoyi.programManagement.mapper;

import com.ruoyi.programManagement.entity.SzsAdministrativeDivision;
import com.ruoyi.programManagement.entity.request.BAdministrativeTreeRequest;

import java.util.List;


/**
 * 省-工业企业风险评估上报系统_行政区划字典Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-17
 */
public interface SzsAdministrativeDivisionMapper 
{
    /**
     * 查询省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param ID 省-工业企业风险评估上报系统_行政区划字典主键
     * @return 省-工业企业风险评估上报系统_行政区划字典
     */
    public SzsAdministrativeDivision selectSzsAdministrativeDivisionByID(String ID);

    /**
     * 查询省-工业企业风险评估上报系统_行政区划字典列表
     * 
     * @param szsAdministrativeDivision 省-工业企业风险评估上报系统_行政区划字典
     * @return 省-工业企业风险评估上报系统_行政区划字典集合
     */
    public List<SzsAdministrativeDivision> selectSzsAdministrativeDivisionList(SzsAdministrativeDivision szsAdministrativeDivision);

    /**
     * 新增省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param szsAdministrativeDivision 省-工业企业风险评估上报系统_行政区划字典
     * @return 结果
     */
    public int insertSzsAdministrativeDivision(SzsAdministrativeDivision szsAdministrativeDivision);

    /**
     * 修改省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param szsAdministrativeDivision 省-工业企业风险评估上报系统_行政区划字典
     * @return 结果
     */
    public int updateSzsAdministrativeDivision(SzsAdministrativeDivision szsAdministrativeDivision);

    /**
     * 删除省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param ID 省-工业企业风险评估上报系统_行政区划字典主键
     * @return 结果
     */
    public int deleteSzsAdministrativeDivisionByID(String ID);

    /**
     * 批量删除省-工业企业风险评估上报系统_行政区划字典
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzsAdministrativeDivisionByIDs(String[] IDs);



    /**
     * 行政区划
     * @return
     */
    List<BAdministrativeTreeRequest> selectBAdministrativeTreeRequestList();



    /**
     * 行政区划
     * @return
     */
    List<BAdministrativeTreeRequest> selectcascadingSelectDataList();
}
