package com.ruoyi.programManagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author Jason
 * @since 2021-06-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ent_geo_layer")
@ApiModel(value="GeoLayer对象", description="")
public class GeoLayer implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "原表编号")
    @TableField("origin_id")
    private String originId;

    @ApiModelProperty(value = "原表名称")
    @TableField("origin_table")
    private String originTable;

    @ApiModelProperty(value = "名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "一级类目")
    @TableField("type1")
    private String type1;

    @ApiModelProperty(value = "二级类目")
    @TableField("type2")
    private String type2;

    @ApiModelProperty(value = "三级类目")
    @TableField("type3")
    private String type3;
    @ApiModelProperty(value = "四级类目")
    @TableField("type4")
    private String type4;

    @ApiModelProperty(value = "五级类目")
    @TableField("type5")
    private String type5;

    @ApiModelProperty(value = "六级类目")
    @TableField("type6")
    private String type6;
    @ApiModelProperty(value = "七级类目")
    @TableField("type7")
    private String type7;

    @ApiModelProperty(value = "八级类目")
    @TableField("type8")
    private String type8;

    @ApiModelProperty(value = "九级类目")
    @TableField("type9")
    private String type9;

    @ApiModelProperty(value = "十级类目")
    @TableField("type10")
    private String type10;

    @ApiModelProperty(value = "县区")
    @TableField("county")
    private String county;

    @ApiModelProperty(value = "乡镇")
    @TableField("town")
    private String town;

    @ApiModelProperty(value = "经度")
    @TableField("lng")
    private BigDecimal lng;

    @ApiModelProperty(value = "纬度")
    @TableField("lat")
    private BigDecimal lat;

    @ApiModelProperty(value = "空间")
    @TableField("shape")
    private String shape;

    @ApiModelProperty(value = "空间字符串")
    @TableField(value = "shape_str",exist = false)
    private String shapeStr;
}
