package com.ruoyi.programManagement.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 省-工业企业风险评估上报系统_行政区划字典对象 szs_administrative_division
 * 
 * @author ruoyi
 * @date 2023-10-17
 */
@Data
@ApiModel("省-工业企业风险评估上报系统_行政区划")
public class SzsAdministrativeDivision extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date jhptUpdateTime;

    /** 纬度 */
    @Excel(name = "纬度")
    private String LATITUDE;

    /** 区划名称 */
    @Excel(name = "区划名称")
    private String districtName;

    /** 1省级2地市级以此类推 */
    @Excel(name = "1省级2地市级以此类推")
    private String distLevel;

    /** 全称 */
    @Excel(name = "全称")
    private String fullName;

    /** 区划编码 */
    @Excel(name = "区划编码")
    private String districtCode;

    /** 上级编码 */
    @Excel(name = "上级编码")
    private String parentCode;

    /** 简称 */
    @Excel(name = "简称")
    private String shortName;

    /** 主键ID */
    private String ID;

    /** 区划编码排序 */
    @Excel(name = "区划编码排序")
    private String districtCodeSort;

    /** 经度 */
    @Excel(name = "经度")
    private Long LONGITUDE;

    /** 创建人 */
    @Excel(name = "创建人")
    private String CREATER;

    /** 修改人 */
    @Excel(name = "修改人")
    private String UPDATER;

    /** 拼写 */
    @Excel(name = "拼写")
    private String SPELLING;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private String isDelete;


}
