package com.ruoyi.programManagement.entity.request;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 计划明细请求类
 */
@ApiModel("查看计划明细")
@Data
public class PlanMxRequest {

    /**
     * 所在乡镇（街道）
     */
    @ApiModelProperty(value = "所在乡镇（街道")
    private String district;


    /**
     * 计划年份
     */
    @ApiModelProperty(value = "计划年份")
    private String plannedYear;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;
    /**
     * size
     */
    @ApiModelProperty("size")
    private int pageSize;


    /**
     * num
     */
    @ApiModelProperty("num")
    private int pageNum;


}

