package com.ruoyi.programManagement.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 企业基本信息分页查询请求类
 */
@Data
public class SzEntBasicInfoPageRequest implements Serializable {


    /**
     * 行政区划-所在街道
     */
    @ApiModelProperty("行政区划")
    private String subdistrict;


    /**
     * 经济类型大类
     */
    @ApiModelProperty("经济类型大类")
    private String ecoTypeLarge;

    /**
     * 行业类别门类
     */
    @ApiModelProperty("行业类别门类")
    private String indusTypeClass;


    /**
     * 是否重点
     */
    @ApiModelProperty("是否重点")
    private String isPoint;


    /**
     * 重大危险源等级
     */
    @ApiModelProperty("重大危险源等级")
    private String majorHazardLevel;


    /**
     * 企业分色
     */
    @ApiModelProperty("企业分色")
    private String entprColor;


    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String uscCode;


    /**
     * size
     */
    @ApiModelProperty("size")
    private int pageSize;


    /**
     * num
     */
    @ApiModelProperty("num")
    private int pageNum;


}
